package Account

import (
	_ "github.com/astaxie/beego/cache/redis"
	_ "github.com/go-sql-driver/mysql"
)

var User_r User

var AdminMap map[string]string // 泛型

type User struct {
	T_uuid  string `xml:"T_uuid"`
	T_pid   int    `xml:"T_pid"`
	T_power int    `xml:"T_power"`
	T_name  string `xml:"T_name"`
	T_user  string `xml:"T_user"`
	T_phone string `xml:"T_phone"`
	T_mail  string `xml:"T_mail"`
	T_wx    string `xml:"T_wx"`
}

func init() {
	AdminMap = make(map[string]string)
}

func AdminListToMap(A []User) {
	for _, v := range A {
		AdminMap[v.T_uuid] = v.T_name
	}
}

func Read_Admin_Get(T_uuid string) string {
	// 有先加入 给全部人发消息
	v, ok := AdminMap[T_uuid] /*如果确定是真实的,则存在,否则不存在 */
	if ok {
		return v
	} else {
		return ""
	}
}
