package Account

type Company struct {
	Id     int    `xml:"Id"`
	T_mid  int    `xml:"T_mid"`  //  上一级 ID
	T_name string `xml:"T_name"` // 公司名称
	T_uids string `xml:"T_uids"` // 绑定用户 Uid|  如：U1|U2|
}

var CompanyMap map[int]string // 泛型

func init() {
	CompanyMap = make(map[int]string)
}

func CompanyListToMap(A []Company) {
	for _, v := range A {
		CompanyMap[v.Id] = v.T_name
	}
}

func Read_Company_Get(id int) string {
	// 有先加入 给全部人发消息
	v, ok := CompanyMap[id] /*如果确定是真实的,则存在,否则不存在 */
	if ok {
		return v
	} else {
		return ""
	}
}
