package routers

import (
	"Cold_WorkOrder/conf"
	"Cold_WorkOrder/controllers"
	beego "github.com/beego/beego/v2/server/web"
)

func init() {
	var version = conf.Version

	// 工单管理
	beego.Router(version+"/WorkOrder/List", &controllers.WorkOrderController{}, "*:List")           // 列表
	beego.Router(version+"/WorkOrder/User_List", &controllers.WorkOrderController{}, "*:User_List") // 用户列表
	beego.Router(version+"/WorkOrder/Get", &controllers.WorkOrderController{}, "*:Get")             // 获取
	beego.Router(version+"/WorkOrder/Add", &controllers.WorkOrderController{}, "*:Add")             // 添加
	beego.Router(version+"/WorkOrder/Up", &controllers.WorkOrderController{}, "*:Up")               // 编辑
	beego.Router(version+"/WorkOrder/Del", &controllers.WorkOrderController{}, "*:Del")             // 删除
}
